%global pypi_name anymarkup

Name:           python-%{pypi_name}
Version:        0.8.1
Release:    2%{?dist}
Summary:        Parse or serialize any markup in Python

License:        BSD
URL:            https://github.com/bkabrda/anymarkup
Source0:        https://github.com/bkabrda/anymarkup/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
Parse or serialize any markup. Currently supports ini, json, json5, toml,
xml and yaml.

%package -n python3-%{pypi_name}
Summary: %{summary}

BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-pytest
BuildRequires: python3-configobj
BuildRequires: python3-anymarkup-core >= 0.8.0
BuildRequires: python3-xmltodict
BuildRequires: python3-PyYAML
BuildRequires: python3-toml
BuildRequires: python3-json5
BuildRequires: python3-click

%description -n python3-%{pypi_name}
arse or serialize any markup. Currently supports ini, json, json5, toml,
xml and yaml.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%check
%{__python3} -m pytest

%files -n python3-%{pypi_name}
%doc README.rst
%license LICENSE
%{_bindir}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/%{pypi_name}/

%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.8.1-2
- Rebuilt for loongarch64

* Thu Jun 27 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.1-1
- initial build
